/**
 * 针对字符串的一些工具方法
 */

/**
 * 解析链接
 */
export const encodeUrl = function (str: string) {
  const result = str
    .replaceAll('+', '%2B')
    .replaceAll('=', '%3D')
    .replaceAll('?', '%3F')
    .replaceAll('#', '%23')
    .replaceAll('&', '%26')
    .replaceAll(' ', '%20')
    .replaceAll('/', '%2F')
  return result
}
